# Repositories

It's important to set the correct repositories when using any Linux distro. For Alpine these can be configured in `/etc/apk/repositories`:

```
https://dl-cdn.alpinelinux.org/alpine/latest-stable/main
https://dl-cdn.alpinelinux.org/alpine/latest-stable/community
```

This will use the latest stable repository of Alpine (for example `v3.19`). To use a different version of Alpine simply change `latest-stable` to whatever version you want. Do note that you can not (easily) downgrade your system's version. There also is the `edge` repository which contains the latest packages but it is not recommended because it can result in faster breakage of your system.

If a package is not yet in a stable release one may configure in `/etc/apk/repositories`:

```
@<repository> https://dl-cdn.alpinelinux.org/alpine/edge/<repository>
```

for the relevant `<repository>` and perform:

```
# apk add <package>@<repository>
```

for the relevant `<package>`.